#include "GraphicBitmap.h"

GraphicBitmap::GraphicBitmap ()
{
  refCount = 0;
  pic=NULL;
}

GraphicBitmap::~GraphicBitmap ()
{
}

SDL_Surface * GraphicBitmap::getPic ()
{
  return pic;
}

void GraphicBitmap::setPic (SDL_Surface * pac)
{
  pic = pac;
}
  
void GraphicBitmap::incRefCount ()
{
  if (refCount < 2 ^ 32)
    refCount ++;
}

void GraphicBitmap::decRefCount ()
{
  if (refCount > 0)
    refCount --;
}

uint32_t GraphicBitmap::getRefCount ()
{
  return refCount;
}

int GraphicBitmap::getWidth ()
{
  return pic->w;
}

int GraphicBitmap::getHeight ()
{
  return pic->h;
}
